Bug 46968 - add more arguments to wix:light
Summary: add more arguments to wix:light
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: .NET Antlib (show other bugs)
Version: 1.0
Hardware: PC Windows Server 2003
: P2 enhancement (vote)
Target Milestone: 1.1
Assignee: Ant Notifications List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-04-03 20:01 UTC by zhihengz
Modified: 2009-04-17 15:38 UTC (History)
0 users



Attachments
A patched WixTask.java to accept additional nested element extraLightArg (12.16 KB, text/plain)
2009-04-03 20:02 UTC, zhihengz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhihengz 2009-04-03 20:01:03 UTC
current wix task cannot add extra arguments for light processing, for example we need link wixca library when doing light, current wix task only accept extra candle parameters, but not extra light arguments such as:

#light sample.wixobj ${wix.home}\wixui.wixlib -loc ${wix.home}\wixUI_en-us.wxl

A proposal is to add 

<extraLightArg value="-loc"/>
<extraLightArg pathValue="${wix.home}/wixUI_en-us.wxl"/>

inside <wix>
Comment 1 zhihengz 2009-04-03 20:02:35 UTC
Created attachment 23441 [details]
A patched WixTask.java to accept additional nested element extraLightArg
Comment 2 Stefan Bodewig 2009-04-09 06:35:09 UTC
I've taken an approach that reuses more of the existing Ant infrastructure than your patch.

fixed with svn revision 763647
Comment 3 zhihengz 2009-04-17 15:38:29 UTC
sure, I have tested it and looks good

Thanks //Jason